<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku TravelInfo.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_travel_info_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#define-members">Definicje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku TravelInfo.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_travel_info.html" title="Wyświetla informacje o podróży robota.">TravelInfo</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>&quot;</code><br />
<code>#include &lt;QLineEdit&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla TravelInfo.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_travel_info_8hpp__incl.png" border="0" usemap="#a_travel_info_8hpp" alt=""/></div>
<map name="a_travel_info_8hpp" id="a_travel_info_8hpp">
<area shape="rect" title="Definicja klasy TravelInfo." alt="" coords="143,5,247,31"/>
<area shape="rect" href="_framed_widget_8hpp.html" title="Definicja klasy FramedWidget." alt="" coords="65,79,196,104"/>
<area shape="poly" title=" " alt="" coords="186,33,152,70,148,67,182,29"/>
<area shape="rect" title=" " alt="" coords="221,79,299,104"/>
<area shape="poly" title=" " alt="" coords="207,29,242,67,238,70,203,33"/>
<area shape="rect" title=" " alt="" coords="5,152,75,177"/>
<area shape="poly" title=" " alt="" coords="118,106,67,145,64,141,114,102"/>
<area shape="rect" title=" " alt="" coords="99,152,163,177"/>
<area shape="poly" title=" " alt="" coords="133,104,133,138,128,138,128,104"/>
<area shape="rect" title=" " alt="" coords="187,152,290,177"/>
<area shape="poly" title=" " alt="" coords="149,102,211,142,208,147,147,106"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_travel_info_8hpp__dep__incl.png" border="0" usemap="#a_travel_info_8hppdep" alt=""/></div>
<map name="a_travel_info_8hppdep" id="a_travel_info_8hppdep">
<area shape="rect" title="Definicja klasy TravelInfo." alt="" coords="141,5,245,31"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="65,79,185,104"/>
<area shape="poly" title=" " alt="" coords="175,42,138,80,134,77,171,39"/>
<area shape="rect" href="_travel_info_8cpp.html" title="Definicje metod klasy TravelInfo." alt="" coords="209,79,313,104"/>
<area shape="poly" title=" " alt="" coords="216,39,252,77,248,80,212,42"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,152,125,177"/>
<area shape="poly" title=" " alt="" coords="109,116,77,154,73,150,105,113"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,152,224,177"/>
<area shape="poly" title=" " alt="" coords="146,113,179,150,175,154,142,116"/>
</map>
</div>
</div>
<p><a href="_travel_info_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html">TravelInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla informacje o podróży robota.  <a href="class_travel_info.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:a2f1291e2a29c1f79a21b3ea7002b341e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_travel_info_8hpp.html#a2f1291e2a29c1f79a21b3ea7002b341e">TRAVEL_INFO_LIMIT</a>&#160;&#160;&#160;16</td></tr>
<tr class="separator:a2f1291e2a29c1f79a21b3ea7002b341e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_travel_info.html" title="Wyświetla informacje o podróży robota.">TravelInfo</a>, która dziedziczy klasę <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>. Służy do wyświetlania informacji o przebytej drodze oraz o aktualnych współrzędnych robota. </p>

<p class="definition">Definicja w pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja definicji</h2>
<a id="a2f1291e2a29c1f79a21b3ea7002b341e" name="a2f1291e2a29c1f79a21b3ea7002b341e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f1291e2a29c1f79a21b3ea7002b341e">&#9670;&#160;</a></span>TRAVEL_INFO_LIMIT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TRAVEL_INFO_LIMIT&#160;&#160;&#160;16</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8hpp_source.html#l00017">17</a> pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_travel_info_8hpp.html">TravelInfo.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
